## Tcl8.5.14/Tk8.5.14 Documentation > TkLib > GetHINSTANCE

### Tcl/Tk Applications | Tcl Commands | Tk Commands | Tcl Library | Tk Library

### NAME

Tk_GetHINSTANCE - retrieve the global application instance handle

### SYNOPSIS

#include <tkPlatDecls.h>
HINSTANCE
Tk_GetHINSTANCE()

### DESCRIPTION

Tk_GetHINSTANCE returns the Windows application instance handle for the Tk application. This function is only available on Windows platforms.

### KEYWORDS

identifier, instance
Copyright © 1995-1997 Roger E. Critchlow Jr. Copyright © 1998-2000 by Scriptics Corporation.